Add consumer group support to log consumer and comprehensive logging
08/06/2025 11:31 PM - Sachin Divekar

Status: Closed Start date: 08/06/2025
Priority: Normal Due date:

Assignee: Sachin Divekar % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Implement Kafka consumer groups to track offsets after restart. And comprehensive logging for debugging, error tracking,
performance metrics, etc.

Associated revisions

Revision 3506e6f2 - 09/06/2025 12:01 AM - Sachin Divekar

Add consumer group support and comprehensive structured logging #27892

e Support both regular consumer and consumer group modes
e New --useConsumerGroup and --consumerGroup flags with environment variable support
¢ Replace standard log package with slog for structured logging

e Add --logLevel flag supporting debug/info/warn/error levels
e Add timing logs for batches, messages, and operations
¢ Add startup, shutdown, and operational phase logging

History

#1 - 09/06/2025 12:03 AM - Sachin Divekar

- Status changed from New to In Progress

#2 - 09/06/2025 12:03 AM - Sachin Divekar
- % Done changed from 0 to 100

Support both regular consumer and consumer group modes

New --useConsumerGroup and --consumerGroup flags with environment variable support
Replace standard log package with slog for structured logging

Add --logLevel flag supporting debug/info/warn/error levels

Add timing logs for batches, messages, and operations

Add startup, shutdown, and operational phase logging

#3 - 09/06/2025 12:04 AM - Sachin Divekar

- Status changed from In Progress to Closed
